aboutsummaryrefslogtreecommitdiffstats
path: root/travis
diff options
context:
space:
mode:
authorJoas Schilling <nickvergessen@gmx.de>2014-05-28 21:50:19 +0200
committerJoas Schilling <nickvergessen@gmx.de>2014-05-28 21:50:19 +0200
commit3021a6e12adbcfb8583d04914fecda4816f1d5b1 (patch)
tree9411cc7f1e6578afc64099cab4813167f0c67cfa /travis
parente2308df14d61c91ab93a6da191b7df6f83ee5af8 (diff)
parent97dc817158fe88ce5d336b6147d355989efde044 (diff)
downloadforums-3021a6e12adbcfb8583d04914fecda4816f1d5b1.tar
forums-3021a6e12adbcfb8583d04914fecda4816f1d5b1.tar.gz
forums-3021a6e12adbcfb8583d04914fecda4816f1d5b1.tar.bz2
forums-3021a6e12adbcfb8583d04914fecda4816f1d5b1.tar.xz
forums-3021a6e12adbcfb8583d04914fecda4816f1d5b1.zip
Merge pull request #2505 from bantu/ticket/12582-ascraeus
[ticket/12582] Strip away copyrighted ICC profile from images * bantu/ticket/12582-ascraeus: [ticket/12582] Use the correct script name. [ticket/12582] Fix coding style. [ticket/12582] Remove set -e due to exiftool not liking 0 byte files. [ticket/12582] Strip away copyrighted ICC profile [ticket/12582] Change strip_icc_profiles.sh to only take a single file. [ticket/12582] Run strip_icc_profiles.sh on Travis CI. [ticket/12582] Overwrite inplace instead of creating _original files. [ticket/12582] Add script for strippping ICC profiles from images.
Diffstat (limited to 'travis')
-rwxr-xr-xtravis/check-image-icc-profiles.sh15
-rwxr-xr-xtravis/setup-exiftool.sh9
-rwxr-xr-xtravis/setup-phpbb.sh5
3 files changed, 29 insertions, 0 deletions
diff --git a/travis/check-image-icc-profiles.sh b/travis/check-image-icc-profiles.sh
new file mode 100755
index 0000000000..fa9300012a
--- /dev/null
+++ b/travis/check-image-icc-profiles.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# @copyright (c) 2014 phpBB Group
+# @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
+#
+set -e
+
+DB=$1
+TRAVIS_PHP_VERSION=$2
+
+if [ "$TRAVIS_PHP_VERSION" == "5.5" -a "$DB" == "mysqli" ]
+then
+ find . -type f -not -path './phpBB/vendor/*' -iregex '.*\.\(gif\|jpg\|jpeg\|png\)$' | \
+ parallel --gnu --keep-order 'phpBB/develop/strip_icc_profiles.sh {}'
+fi
diff --git a/travis/setup-exiftool.sh b/travis/setup-exiftool.sh
new file mode 100755
index 0000000000..55bcda6c9f
--- /dev/null
+++ b/travis/setup-exiftool.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# @copyright (c) 2014 phpBB Group
+# @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
+#
+set -e
+
+sudo apt-get update
+sudo apt-get install -y parallel libimage-exiftool-perl
diff --git a/travis/setup-phpbb.sh b/travis/setup-phpbb.sh
index 0495893d8b..e2cf6eeda2 100755
--- a/travis/setup-phpbb.sh
+++ b/travis/setup-phpbb.sh
@@ -14,6 +14,11 @@ set -x
DB=$1
TRAVIS_PHP_VERSION=$2
+if [ "$TRAVIS_PHP_VERSION" == "5.5" -a "$DB" == "mysqli" ]
+then
+ travis/setup-exiftool.sh
+fi
+
if [ "$DB" == "mariadb" ]
then
travis/setup-mariadb.sh